          LOGICAL FUNCTION DISNAN(DIN)
    *
    *  -- LAPACK auxiliary routine (version 3.1) --
    *     Univ. of Tennessee, Univ. of California Berkeley and NAG Ltd..
    *     November 2006
    *
    *     .. Scalar Arguments ..
          DOUBLE PRECISION DIN
    *     ..
    *
    *  Purpose
    *  =======
    *
    *  DISNAN returns .TRUE. if its argument is NaN, and .FALSE.
    *  otherwise.  To be replaced by the Fortran 2003 intrinsic in the
    *  future.
    *
    *  Arguments
    *  =========
    *
    *  DIN      (input) DOUBLE PRECISION
    *          Input to test for NaN.
    *
    *  =====================================================================
    *
    *  .. External Functions ..
          LOGICAL DLAISNAN
          EXTERNAL DLAISNAN
    *  ..
    *  .. Executable Statements ..
          DISNAN = DLAISNAN(DIN,DIN)
          RETURN
          END